/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.deadlock.interfaces;

import javax.ejb.*;
import java.rmi.*;


public interface StatelessSession extends EJBObject {

   public void callAB() throws RemoteException;
   public void callBA() throws RemoteException;
   public void requiresNewTest(boolean first) throws RemoteException;
   public void createCMRTestData(String jndiName) throws RemoteException;
   public void cmrTest(String jndiName, String start) throws RemoteException;
}
